@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.button {
  & {
    outline: none;
    background: none;
    box-shadow: none;
    cursor: pointer;
    border: 1px solid transparent;
    font-family: @font_primary;
    font-weight: 700;
  }

  &.-burger {
    & {
      display: none;

      @media (max-width: @screen_tablet) {
        display: flex;
        position: relative;
        width: 18px;
        height: 18px;
        padding: 0;
        align-items: center;
      }
    }

    .line {
      display: none;

      @media (max-width: @screen_tablet) {
        display: block;
        width: 100%;
        height: 2px;
        background-color: @primary_color;
      }
    }

    &:before {
      display: none;

      @media (max-width: @screen_tablet) {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        width: 100%;
        height: 2px;
        background-color: @primary_color;
      }
    }

    &:after {
      display: none;

      @media (max-width: @screen_tablet) {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        right: 0;
        width: 50%;
        height: 2px;
        background-color: @primary_color;
      }
    }
  }

  &.-icon {
    &:after {
      content: '';
      display: block;
      border: none;
    }

    &.-close {
      & {
        padding: 0;
      }

      &:after {
        content: 'x';
        transform: scaleX(1.2);
        font-weight: 100;
      }
    }
  }

  &.-search:before {
    .icon-search;
  }

  &.-phone:before {
    .icon-phone;

    font-size: 23px;
  }

  &.-list:before {
    .icon-list;

    font-size: 23px;
  }

  &.-rectangle {
    width: 100%;
    border-radius: 20px;
    padding: 10px 5px;
  }

  &.-arrow {
    & {
      display: none;
      width: auto;
      animation: slide-up .1s;
      position: fixed;
      right: 50px;
      bottom: 20%;
      z-index: 8;
      padding: 15px;

      @media (max-width: @screen_tablet) {
        right: 40px;
        bottom: 15%;
        padding: 5px;
      }
    }

    &:before {
      .icon-up-arrow;

      color: @primary_color;
      font-size: 38px;

      @media (max-width: @screen_tablet) {
        font-size: 34px;
      }
    }

    &:hover:before {
      color: darken(@primary_color, 20%);
    }
  }
}